> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/hooks/logs.md).

# Logs

Make stores a log of every webhook execution. Make stores webhook logs for 3 days. The webhook logs for organizations with the Enterprise plan are stored for 30 days. [Read more about webhook logs](https://www.make.com/en/help/tools/webhooks#webhook-logs).

The following endpoints allow you to retrieve webhook logs.

## Get webhook logs

> Retrieves a list of the specified webhook execution logs. Use the \`to\` and \`from\` parameters to filter the returned logs. The response contains:\
> \
> \- \`statusId\`: the status of the webhook execution; \`1\` means successful execution, \`3\` means failed execution\
> &#x20;\- \`loggedAt\`: the moment when Make created the log\
> &#x20;\- \`id\`: the ID of the webhook execution log

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks / Logs","description":"Make stores a log of every webhook execution. Make stores webhook logs for 3 days. The webhook logs for organizations with the Enterprise plan are stored for 30 days.  [Read more about webhook logs](https://www.make.com/en/help/tools/webhooks#webhook-logs).\n\nThe following endpoints allow you to retrieve webhook logs."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/logs":{"get":{"tags":["Hooks / Logs"],"summary":"Get webhook logs","description":"Retrieves a list of the specified webhook execution logs. Use the `to` and `from` parameters to filter the returned logs. The response contains:\n\n- `statusId`: the status of the webhook execution; `1` means successful execution, `3` means failed execution\n - `loggedAt`: the moment when Make created the log\n - `id`: the ID of the webhook execution log","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."},{"name":"to","in":"query","schema":{"type":"integer"},"description":"Limits data in the response to entries older than the specified timestamp. Use the [UNIX timestamp](https://en.wikipedia.org/wiki/Unix_time) format in milliseconds."},{"name":"from","in":"query","schema":{"type":"integer"},"description":"Limits data in the response to entries newer than the specified timestamp. Use the [UNIX timestamp](https://en.wikipedia.org/wiki/Unix_time) format in milliseconds."},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hookLogs":{"type":"array","items":{"type":"object","properties":{"statusId":{"type":"integer"},"parser":{"type":"string"},"replayable":{"type":"boolean"},"sizes":{"type":"object","properties":{"before":{"type":"integer"},"after":{"type":"integer"}}},"loggedAt":{"type":"string","format":"date-time"},"udids":{"type":"array","items":{"type":"string"}},"typeId":{"type":"integer"},"id":{"type":"integer"},"appParser":{"type":"string"},"imtId":{"type":"string"}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Get webhook execution detail

> Retrieves the specified webhook execution log. The response contains:\
> \
> \- \`statusId\`: the status of the webhook execution; \`1\` means successful execution, \`3\` means failed execution\
> &#x20;\- \`loggedAt\`: the moment when Make created the log\
> &#x20;\- \`id\`: the ID of the webhook execution log\
> &#x20;\- \`data\`: information about the request, header, and payload sent to the webhook.\
> \
> Some webhooks don't return the \`data\` object due to their implementation. Most common examples include instant triggers for Slack, Zoom, Intercom and Facebook lead ads apps.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Hooks / Logs","description":"Make stores a log of every webhook execution. Make stores webhook logs for 3 days. The webhook logs for organizations with the Enterprise plan are stored for 30 days.  [Read more about webhook logs](https://www.make.com/en/help/tools/webhooks#webhook-logs).\n\nThe following endpoints allow you to retrieve webhook logs."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["hooks:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/hooks/{hookId}/logs/{logId}":{"get":{"tags":["Hooks / Logs"],"summary":"Get webhook execution detail","description":"Retrieves the specified webhook execution log. The response contains:\n\n- `statusId`: the status of the webhook execution; `1` means successful execution, `3` means failed execution\n - `loggedAt`: the moment when Make created the log\n - `id`: the ID of the webhook execution log\n - `data`: information about the request, header, and payload sent to the webhook.\n\nSome webhooks don't return the `data` object due to their implementation. Most common examples include instant triggers for Slack, Zoom, Intercom and Facebook lead ads apps.","parameters":[{"name":"hookId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the webhook. Use the `GET /hooks` API call to get the ID values of your webhooks."},{"name":"logId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the webhook execution log. Use the `GET /hooks/{hookId}/logs` API call to get the ID values of your webhook execution logs."},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"hookLog":{"type":"object","properties":{"statusId":{"type":"integer"},"parser":{"type":"string"},"replayable":{"type":"boolean"},"data":{"type":"object","properties":{"request":{"type":"object","properties":{"headers":{"type":"object","additionalProperties":{}},"method":{"type":"string"},"query":{"type":"object","additionalProperties":{}},"ip":{"type":"string"},"parsed":{"type":"string"},"body":{"oneOf":[{"type":"string"},{"type":"object","additionalProperties":{}}]},"url":{"type":"string"}}},"response":{"type":"object","properties":{"headers":{"type":"array","items":{"type":"string"}},"body":{"type":"string"},"status":{"type":"integer"}}}}},"sizes":{"type":"object","properties":{"before":{"type":"integer"},"after":{"type":"integer"}}},"loggedAt":{"type":"string","format":"date-time"},"udids":{"type":"array","items":{"type":"string"}},"typeId":{"type":"integer"},"id":{"type":"integer"},"appParser":{"type":"string"},"imtId":{"type":"string"}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/hooks/logs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
